Subject: Re: memory issue on ppc

From: Detlev Zundel <[email-masked]>
Date: Wed, 06 Jun 2007 16:30:51 +0200

Hello Sekhar,

>         I m working on  powerpc and new to linux . wrote a small program where
> I allocate memory for 100, 1000 ,10000 bytes and memset them to zero . when I
> allocate to more than 8108 bytes and memset to zero it fails . but when I
> memset to any other ASCII value it passes . can u help me out as I m stuck with
> it for a long time . is there any problem with the library ?

My crystal ball is out of order right now so I would need some more
details to answer.

Please post the code and tell us on what platform and with which
kernel version, gcc version, etc. you are working.

Cheers
  Detlev

-- 
   "Our enemies  are innovative  and resourceful, and so are we.  They
never stop thinking about new ways to harm our country and our people,
and neither do we."
       -- George W. Bush during a defense bill ceremony on 5. Aug 2004
--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]